// /pages/api/cpl/kabelueberwachungAPIHandler.ts

import { NextApiRequest, NextApiResponse } from "next";
import path from "path";
import fs from "fs/promises";

export default async function handler(
  req: NextApiRequest,
  res: NextApiResponse
) {
  const filePath = path.join(
    process.cwd(),
    "apiMockData",
    "SERVICE",
    "kabelueberwachungMockData.js"
  );

  try {
    const data = await fs.readFile(filePath, "utf-8");
    res.status(200).send(data);
  } catch (error) {
    res.status(404).json({ error: "File not found" });
  }
}
